package controller

import "campaign-pool-be/app/module/article_categories/service"

type Controller struct {
	ArticleCategories ArticleCategoriesController
}

func NewController(ArticleCategoriesService service.ArticleCategoriesService) *Controller {
	return &Controller{
		ArticleCategories: NewArticleCategoriesController(ArticleCategoriesService),
	}
}
